<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Account </title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
    <style>
        .img-div-background {
            background-image: url(images/signup-bg.jpg);
            height: 100%;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 1;

        }

        .mautrang {
            background-color: white;
        }
    </style>
</head>

<body>
    <div class="container-fluid img-div-background">
        <form action="">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-6 text-center mx-auto my-0 rounded mautrang  ">
                    <div class="row">
                        <div class="col-sm-8 mx-auto ">
                            <div class="mb-5 mt-5 ">
                                <h1>Create Account</h1>
                            </div>
                            <div class="row">
                                <input id="inp-your-name" class="form-control form-group" type="text"
                                    placeholder="Your Name">
                            </div>
                            <div class="row">
                                <input id="inp-your-email" class="form-control form-group" type="text"
                                    placeholder="Your Email">
                            </div>
                            <div class="row">
                                <input id="inp-passwork" class="form-control form-group" type="password"
                                    placeholder="Your Password">
                            </div>
                            <div class="row">
                                <input id="inp-repeat-passwork" class="form-control form-group" type="password"
                                    placeholder="Repaeat your password">
                            </div>
                            <div class="row mb-4">
                                <input id="inp-agree" class=" form-group" type="checkbox">
                                <p>agree all statements in </p> <a style="color: black;" href="#">Terms of service</a>
                            </div>
                            <div class="row mb-5">
                                <button id="btn-sign-up" class="btn btn-success form-control mb-5 ">SIGN UP</button>
                            </div>
                            <div class=" mb-5">
                                <p>Have already an account ? <b><a style="color: black;" href="#">Login here</a></b>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

    </div>
</body>
<script>
    "use strict"
    // khởi tạo toàn bộ đoạn mã java scrip
    $(document).ready(function () {
        "use strict"
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        // gán sự kiện cho nút sign up 
        $("#btn-sign-up").on("click", onSignUpClick);
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onSignUpClick(Event) {
            console.log("đã ấn nút đăng nhập ");
            console.log(Event);
            Event.preventDefault();
            // object declaration 
            var vObject = {
                yourName: "",
                yourEmail: "",
                passwork: "",
                repeatPasswork: "",
                iAgree: null
            }
            // bước 1 collect data 
            getCollectData(vObject);
            // bước 2 . validate data 
            var vResult = getValidateData(vObject);
            // bước 3 show data console 
            if (vResult) {
                getShowConsole(vObject)
            }
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        function getCollectData(paramObject) {
            // gán toàn bộ dữ liệu vào object
            paramObject.yourName = $("#inp-your-name").val().trim();
            paramObject.yourEmail = $("#inp-your-email").val().trim();
            paramObject.passwork = $("#inp-passwork").val().trim();
            paramObject.repeatPasswork = $("#inp-repeat-passwork").val().trim();
            paramObject.iAgree = $("#inp-agree").is(":checked")
        }
        function getValidateData(paramObject) {
            // khai báo giá trị passwork
            var vPasswork = paramObject.passwork;
            // kiểm tra có nhập tên hay không
            if (paramObject.yourName == "") {
                alert("please enter your name");
                return false;
            }
            // kiểm tra email 
            if (paramObject.yourEmail == "") {
                alert("please enter your email");
                return false;
            }
            //kiểm tra email 
            var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
            if (!filter.test(paramObject.yourEmail)) {
                alert('Hãy nhập email hợp lệ (có @ và dấu ".")');
                return false;
            }
            // kiểm tra có nhập passwork
            if (paramObject.passwork == "") {
                alert("please enter your passwork");
                return false;
            }
            if (vPasswork.length < 8) {
                alert("must enter more than 8 characters passwork");
                return false;
            }

            if (paramObject.repeatPasswork == "") {
                alert("please enter your repeat passwork");
                return false;
            }
            if (paramObject.repeatPasswork.length < 8) {
                alert("must enter more than 8 characters repeat Passwork");
                return false;
            }
            if (paramObject.repeatPasswork != paramObject.passwork) {
                alert("Password and confirm password are not the same");
                return false;
            }
            return true;
        }
        //   hiển thị dữ liệu ra console 
        function getShowConsole(paramObject) {
            console.log("%c Dữ liệu người dùng thu thập được ", "color: blue")
            console.log("%c your name: " + paramObject.yourName, "color: red");
            console.log("%c your email: " + paramObject.yourEmail, "color: red");
            console.log("%c your passwork: " + paramObject.passwork, "color: red");
            console.log("%c your repeat passwork: " + paramObject.repeatPasswork, "color: red");
            console.log("%c your i agree: " + paramObject.iAgree, "color: red");
        }
        /*** KẾT THÚC */
    });
</script>

</html>